---
title: "Retrieve webhooks"
slug: "retrieve-webhooks"
abstract: "Retrieve all webhooks your organization has created for forwarding audit logs from SitecoreCommon Audit Log."
---
# Retrieve webhooks

`GET /api/v1/eventConfigurations`

Retrieves all webhooks.

If the response is an empty array `[]`, there are no webhooks in your organization. To create your first webhook, see [Create a webhook](https://doc.sitecore.com/portal/en/developers/sitecore-cloud-portal/sitecore-common-audit-log/webhook-rest-api/create-a-webhook.html "Create a webhook").

In the response, in every object in the array, the `id` key contains the webhook ID. You use the webhook ID to, for example, [retrieve](https://doc.sitecore.com/portal/en/developers/sitecore-cloud-portal/sitecore-common-audit-log/webhook-rest-api/retrieve-a-webhook.html "Retrieve a webhook") or [update](https://doc.sitecore.com/portal/en/developers/sitecore-cloud-portal/sitecore-common-audit-log/webhook-rest-api/update-a-webhook.html "Update a webhook") the webhook.

```curl
curl -X GET '<baseURL>/api/v1/eventConfigurations' \
-H 'Authorization: Bearer <bearerToken>' \
-H 'Accept: application/json'

```

```json

  {
    "id": "7050346545d5447da57b64be6416ac78",
    "organizationId": "org_ZiiCnzhCeHDpWJAU",
    "sourceSystem": {
      "$type": "AnySource"
    },
    "destinationSystem": {
      "secret": "4fcae82f-5759-4a08-93fe-1582bcc8514d",
      "targetUrl": "https://webhook.site/4fcae82f-5759-4a08-93fe-1582bcc8514d",
      "contentType": null,
      "$type": "Webhook"
    },
    "space": "Development",
    "sourceSystemStatus": null,
    "logLevel": "FailuresOnly",
    "createdBy": "jane.doe@myretailsite.com",
    "createdDate": "2026-12-22T12:`10:18`.8610786+`00:00`",
    "updatedBy": "jane.doe@myretailsite.com",
    "updatedDate": "2026-12-22T13:`43:42`.4291852+`00:00`",
    "eventName": "sitecore.backbone.messages.audit.created",
    "enabled": true
  },
  {...}
]

```